aboutsummaryrefslogtreecommitdiffstats
path: root/config/hypr/scripts/SwitchKeyboardLayout.sh
diff options
context:
space:
mode:
authorJaKooLit <ejhay.games@gmail.com>2025-01-14 00:12:29 +0900
committerJaKooLit <ejhay.games@gmail.com>2025-01-14 00:12:29 +0900
commitdf57f9890b28aa6f5139e2917cee213031ba0e9c (patch)
tree644b7851f189af52bfde39a2658cfe0d2fd20d7c /config/hypr/scripts/SwitchKeyboardLayout.sh
parent2d7d7b685e6ad01bd7c390700c17738cba05e3b1 (diff)
some scripts are tweaked to get a better notification. swaync config tweaked
Diffstat (limited to 'config/hypr/scripts/SwitchKeyboardLayout.sh')
-rwxr-xr-xconfig/hypr/scripts/SwitchKeyboardLayout.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/config/hypr/scripts/SwitchKeyboardLayout.sh b/config/hypr/scripts/SwitchKeyboardLayout.sh
index 2d265e28..6974e386 100755
--- a/config/hypr/scripts/SwitchKeyboardLayout.sh
+++ b/config/hypr/scripts/SwitchKeyboardLayout.sh
@@ -93,11 +93,11 @@ change_layout() {
# Execute layout change and notify
if ! change_layout; then
- notify-send -u low -t 2000 'kb_layout' 'Error: Layout change failed'
+ notify-send -u low -t 2000 'kb_layout' "$(printf '\n Error: Layout change failed')"
echo "Layout change failed." >&2
exit 1
else
- notify-send -u low -i "$notif_icon" "New kb_layout: $new_layout"
+ notify-send -u low -i "$notif_icon" "$(printf "\n New kb_layout: $new_layout")"
echo "Layout change notification sent."
fi
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage